Bug 629463 - Can not have line numbering in programlistings (error: No numberLines function available)
Can not have line numbering in programlistings (error: No numberLines functio...
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-01 23:14 EDT by Jared MORGAN
Modified: 2015-08-09 21:22 EDT (History)
5 users (show)

See Also:
Fixed In Version: publican-2.2-0.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-08 16:43:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jared MORGAN 2010-09-01 23:14:58 EDT
Description of problem:

linenumbering="numbered" is not supported by publican for <programlistings>

Version-Release number of selected component (if applicable):

2.1

How reproducible:

100%

Steps to Reproduce:
1. Insert a programlisting into your document.  XML/Java: doesn't matter.
2. Set the programlisting opening tag as "<programlisting language="Java" linenumbering="numbered">.
3. Publish to any format.
  
Actual results:

When you publish the document, it fails with the following error.
No numberLines function available.
 at /usr/share/perl5/Publican/Builder.pm line 807


Expected results:

Line numbers are inserted into the programlisting to help users refer to parts of the code.

Additional info:

This ticket results from a Tech Review of the JBoss Security Guide.  The reviewer has asked for line numbers.  I will implement a work around for this by splitting up the code block (it's rather large) into chunks so readers can read about the relevant section below the sample.
Comment 1 Jeff Fearn 2010-09-27 00:58:19 EDT
Implemented basic lineNumbering.

Fixed in build: 2.1-0%{?dist}.t84
Comment 2 Fedora Update System 2010-10-06 01:49:28 EDT
publican-2.2-0.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc13
Comment 3 Fedora Update System 2010-10-06 01:50:44 EDT
publican-2.2-0.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc12
Comment 4 Fedora Update System 2010-10-06 01:50:46 EDT
publican-2.2-0.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc14
Comment 5 Fedora Update System 2010-10-08 16:40:53 EDT
publican-2.2-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.